

local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/mrbean.zip" ),
}

local prefabs = {
}

local start_inv = 
{
"Ted",
}

local fn = function(inst)
	inst.components.health:SetMaxHealth(175)
        inst.components.hunger:SetMax(100)
        inst.components.sanity:SetMax(90)
        inst.components.locomotor.walkspeed = 7
	inst.components.locomotor.runspeed = 8
	-- choose which sounds this character will play
	inst.soundsname = "wolfgang"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "wilson.png" )

	-- todo: Add an example special power here.
end


-- strings! Any "MRBEAN" below would have to be replaced by the prefab name of your character.

-- First up, the character select screen lines 
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.mrbean = "憨豆先生"
STRINGS.CHARACTER_NAMES.mrbean = "MrBean"
STRINGS.CHARACTER_DESCRIPTIONS.mrbean = "* 走路稍微比常人快一些.      \n * 更容易填饱肚子.      \n * 带来了他的泰迪熊."
STRINGS.CHARACTER_QUOTES.mrbean = "\"泰迪泰迪你在哪里?.\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.MRBEAN = {}
STRINGS.CHARACTERS.MRBEAN.DESCRIBE = {}
STRINGS.CHARACTERS.MRBEAN.DESCRIBE.EVERGREEN = "好大的一根胡萝卜!."



return MakePlayerCharacter("mrbean", prefabs, assets, fn, start_inv)
